import Vue from 'vue';
import VueRouter from 'vue-router';

Vue.use(VueRouter);

const routes = [
  // 直播大厅
  {
    path: '/',
    name: '',
    meta: { title: '直播大厅', isleftarrow: false },
    component: () => import('../views/index.vue'),
  },
  // 科技超市
  {
    path: '/market/index',
    name: 'market_index',
    meta: { title: '科技超市', isleftarrow: true },
    component: () => import('../views/market/index.vue'),
  },
  // 科技超市-发布产品
  {
    path: '/market/detail',
    name: 'market_detail',
    meta: { title: '发布产品', isleftarrow: true },
    component: () => import('../views/market/detail.vue'),
  },

  // 个人中心
  {
    path: '/user/index',
    name: 'user_index',
    meta: { title: '个人中心', isleftarrow: true },
    component: () => import('../views/user/index.vue'),
  },
  // 个人中心-个人信息维护
  {
    path: '/user/personal',
    name: 'user_personal',
    meta: { title: '个人信息维护', isleftarrow: true },
    component: () => import('../views/user/personal.vue'),
  },
];

const router = new VueRouter({
  routes,
});

export default router;
